Subject: Re: bug#73431: Add `setf` support for `stream.el` in ELPA

From: Stefan Monnier <[email-masked]>
Date: Sun, 17 Nov 2024 21:16:58 -0500

Not sure who should do it, but since noone did it yet, I went ahead and
pushed it to `elpa.git`.  Thanks.

        Stefan

Okamsn [2024-11-08 01:45:47] wrote:

> Michael Heerdegen wrote:
>> Okamsn <[email-masked]> writes:
>> 
>>> For shortening the first line of the documentation of `seq-take-while`,
>>> do you think changing "Return a stream of the successive elements for
>>> which (PRED elt) is non-nil in STREAM" to "Return a stream of serial
>>> elements in STREAM for which PRED returns non-nil" works?
>> 
>> Hmm.  How about
>> 
>> "Return the starting consecutive elements that fulfill PRED."
>> 
>> Or "front elements"?
>> 
>> I tried to emphasize that the function is not about the whole sequence
>> but starts at the front and aborts once PRED is not fulfilled.  We can
>> later say explicitly that the predicate is called like (PRED ELT) - that
>> alone makes the sentence shorter.
>> 
>> But I'm not that good when using English language - better versions
>> welcome.
>> 
>>> Also, do you think that the documentation string for `seq-drop-while`
>>> should also be changed for consistency?
>> 
>> Sure.
>> 
>> 
>> Michael.
>
> Hello,
>
> Attached are patch files which include the requested shorter doc strings 
> for `seq-take-while` and `seq-drop-while`.  The quoting in `seq-mapn` 
> has been fixed. I did not delete any of the doc strings because there 
> does not seem to be consensus on that.
>
> Is there anything else that you would like changed outside of the 
> discussion about the doc strings?
>
> Thank you.